## Find Duplicate and Similar Images

Finds duplicates and similar images in a defined path. Set the image to search for similar images or the path for finding duplicates in main.py.
hash_size of 8 means, the image will be resized to an 8x8 matrix. So, if you want to improve performance, you can try to increase the hash_size.

## Install Requirements

    pip install -r requirements.txt

## Usage

    python3 main.py

## Available Functions

- find_duplicates (Finding and Deleting Duplicates)
  - options:
    - verbose (True-default/False) - Show messages (verbose=False automatically deletes duplicates!)
    - exportCSV (True/False-default) - exports all possible duplicates into duplicates.csv file
    - exportAPI (True-default/False) - exports all possible duplicates to an API (https://git.kmpr.at/kamp/DuplicateAPI)
- find_similar (Finding Similar Images to a corresponding Image)

## Cronjob

With this Cronjob example the script runs every Saturday (starting at 7:35) and finds any duplicates as specified.

<code>35 7 * * Sat /usr/bin/python3 /opt/similarimages/Duplicate-Remover-master/main.py > /dev/null</code>

## Credits

- based on the initial idea of cw-somil
- modifed on PR of chirag-jn